/// <reference types="bluebird" />
import * as Promise from 'bluebird';
export declare class AzureProvider {
    functionAppName: string;
    resourceGroupName: string;
    deploymentName: string;
    location: string;
    principalCredentials: any;
    subscriptionId: string;
    functionsAdminKey: string;
    existingFunctionApp: boolean;
    deployedFunctionNames: string[];
    invocationId: string;
    log: Function;
    constructor(options: any);
    login(): any;
    createResourceGroup(): Promise<{}>;
    createFunctionApp(): Promise<{}>;
    deleteDeployment(): Promise<{}>;
    deleteResourceGroup(): Promise<{}>;
    isExistingFunctionApp(): any;
    getDeployedFunctionsNames(): Promise<{}>;
    getLogsStream(functionName: string): void;
    getInvocationId(functionName: string): Promise<{}>;
    getLogsForInvocationId(): Promise<{}>;
    cleanUpFunctionsBeforeDeploy(serverlessFunctions: string[]): Promise<{}[]>;
    deleteFunction(functionName: string): Promise<{}>;
    uploadFunction(functionZipFile: string): Promise<{}>;
}
