/// <reference types="node" />
import * as fs from 'fs';
import { IFxFunction } from '../CONSTANTS';
export declare class FileHelper {
    static readdir(path: string): Promise<string[]>;
    static stat(path: string): Promise<fs.Stats>;
    static readFileUtf8(path: string): Promise<string>;
    static exists(path: string): Promise<boolean>;
    static readFileAsJSON(path: string): Promise<any>;
    static overwriteFileUtf8(path: string, content: string): Promise<any>;
    static writeFileUtf8(path: string, content: string): Promise<any>;
    static mkdir(path: string): Promise<string>;
    static mkDirP(targetPath: string): Promise<string>;
    static rimraf(path: string): Promise<string>;
    static copy(source: string, target: string): Promise<string>;
    static rename(pathOld: string, pathNew: string): Promise<{}>;
    static loadFunctionsFromDirectory(projectPath: string): Promise<Map<string, IFxFunction>>;
    static loadFunction(name: string): Promise<IFxFunction>;
    static zipFolder(directory: string, outputFile: string): Promise<string>;
}
