"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const winston = require("winston");
const winstonLogger = new winston.Logger({
    level: process.env.loglevel || 'info',
    transports: [
        new (winston.transports.Console)({
            colorize: true
        })
    ]
});
exports.createLogger = (fileName) => {
    const myLogger = {
        debug: (text) => {
            winstonLogger.debug(`[${fileName}] : ${text}`);
        },
        error: (text) => {
            winstonLogger.error(`[${fileName}]:${text}`);
        },
        info: (text) => {
            winstonLogger.info(`[${fileName}]:${text}`);
        }
    };
    return myLogger;
};
//# sourceMappingURL=logger.js.map